Spack compilation

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Spack compilation

I Garcia

Dear Community,

I have been using octave on Ubuntu for a while, and for particular reasons I had to use latest version 5.1.0 mkoctfile to compile c software. I tried installing it with Flatpak, but I believe octave-dev is not available. Then I turned to amazing Spack and successfully compile it.

However mkoctfile is not working because of some wrapping reasons, although I believe it would be an excellent contribution. Maybe it could be easily solved allowing a new flag to mkoctfile binary, setting compiler directory (I am not sure, I am not a good programmer at all). More info here and links within.

Thank you for your effort!



Reply | Threaded
Open this post in threaded view
|

Re: Spack compilation

Mike Miller-4
Hi, I commented on the issue you linked to, we can continue to discuss
how to use mkoctfile with Spack on the GitHub project.

However, as the maintainer of the Flatpak image, I wanted to follow up
with you on this:

On Fri, Jan 31, 2020 at 20:12:11 +0100, I Garcia wrote:
> I have been using octave on Ubuntu for a while, and for particular reasons I
> had to use latest version 5.1.0 mkoctfile to compile c software. I tried
> installing it with Flatpak, but I believe octave-dev is not available.

I'm not sure what exact problem you ran into here, because both octave
and mkoctfile should work perfectly well with Flatpak.

If it's not too much trouble, can you be more specific about what
problems you had trying to use mkoctfile installed with Flatpak? And if
you prefer, you can always use the issue tracker:

  https://github.com/flathub/org.octave.Octave/issues

--
mike



signature.asc (849 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Spack compilation

I Garcia
I read your comment. It is more or less what they found out themselves,
but hopefully their answer can be more valuable than mine. Thank you for
that!

About flatpack, there is no way I can answer without looking dumb, but I
did a spelling mistake  ( ^◡^)  It works perfectly.

Thank you so much Mike

On 1/2/20 1:37, Mike Miller wrote:

> Hi, I commented on the issue you linked to, we can continue to discuss
> how to use mkoctfile with Spack on the GitHub project.
>
> However, as the maintainer of the Flatpak image, I wanted to follow up
> with you on this:
>
> On Fri, Jan 31, 2020 at 20:12:11 +0100, I Garcia wrote:
>> I have been using octave on Ubuntu for a while, and for particular reasons I
>> had to use latest version 5.1.0 mkoctfile to compile c software. I tried
>> installing it with Flatpak, but I believe octave-dev is not available.
> I'm not sure what exact problem you ran into here, because both octave
> and mkoctfile should work perfectly well with Flatpak.
>
> If it's not too much trouble, can you be more specific about what
> problems you had trying to use mkoctfile installed with Flatpak? And if
> you prefer, you can always use the issue tracker:
>
>    https://github.com/flathub/org.octave.Octave/issues
>